Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00777 Gameplay Minor Have not tried Feb 5, 2008, 06:16 12 days ago
Tester -Misc Reporters- View Status Public Platform
Assigned To hap Resolution Fixed OS
Status [?] Resolved Driver namcos22.cpp
Version 0.121u2 Fixed in Version 0.203 Build
Summary 00777: timecris, timecrisa: The helicopter in the level 3, I've shot the bad boy over 40 times and it still goes on.
Description The helicopter in the early stages of level 3. I believe I've shot the bad boy over 40 times and it still goes on.

Haze: It's a bug that's been reported many times in the past.
Steps To Reproduce
Additional Information Posted by Withnail
Flags
Regression Version
Affected Sets / Systems timecris, timecrisa
Attached Files
png file icon 0001.png (274,597 bytes) Jul 24, 2009, 01:13
png file icon 001.png (1,367,607 bytes) Sep 6, 2011, 03:29 Uploaded by TheHelp
Destroying the second helicopter
Relationships
There are no relationship linked to this issue.
Notes
11
User avatar
No.04647
hap
Developer
Jul 16, 2009, 22:16
edited on: Jul 17, 2009, 02:26
I can confirm that it also affects the parent (timecris), can someone with the rights update the report?

This bug also happens with the helicopter on stage 1, area 3. The difference with the one on stage 3 is that you're required to destroy that one, whereas the one on stage 1 will fly away after some time.

*edit* considering that shooting at the helicopter at the start of stage 3 results in the baddies behind the helicopter being killed, as far as the game is concerned, the helicopter is 'invisible'.
User avatar
No.04648
Haze
Senior Tester
Jul 17, 2009, 10:06
damn, i thought we only had to worry about black helicopters, not invisible ones.
User avatar
No.04679
The Falcon
Tester
Jul 24, 2009, 01:10
I found out that the helicopters are not invincible, they can be destroyed.

On the original machine when the player shoots them anywhere it flashes white and takes damage.
On MAME however they take damage only when the player shoots the middle of the helicopters' tail and instead of flashing white the hit shows the same effect when you shoot a soldier.

You can see where is the correct spot on the helicopter on the picture, note the orange hit effect.
I hope this helps solving the issue. I can give some more info or pics if necessary.
User avatar
No.07769
TheHelp
Tester
Sep 6, 2011, 03:30
You can destroy the second helicopter but you only have a 1 second window per cycle of the helicopters pattern to hit.

After it circles around the back of the tower, wait for first barrage, then shoot at the middle of the tail boom just after second barrage. Be prepared to use lots of 'quarters' as you need to hit it 20 times in the manner.
User avatar
No.15535
kiall
Tester
29 days ago
For anyone else who hits this bug, there is a cheat which "fixes" the bug and allows you to shoot the helicopters as normal.

http://www.mamecheat.co.uk/forums/viewtopic.php?t=12299

Also, maybe the cheat provides some insight into fixing the underlying bug?
User avatar
No.15585
Kale
Developer
24 days ago
Looks like you can't destroy the car in stage 1 as well, there must be some inner issue with big hitboxes/vehicles in general (protection?)
User avatar
No.15597
hap
Developer
23 days ago
I think it's only the helicopters. That oncoming black car can be destroyed, shoot it a few times and it'll go on its side.
User avatar
No.15598
MetalGod
Tester
23 days ago
Full gameplay of the arcade
User avatar
No.15619
hap
Developer
19 days ago
It's fixed.
m68k chk2cmp2 wasn't working properly
User avatar
No.15620
MetalGod
Tester
19 days ago
I can't believe this is fixed.....
Thank you !
User avatar
No.15684
kiall
Tester
12 days ago
Hap, you just made my day ;)